## com.arsdigita.bookmarks.ui
Class BookmarkBasePage.ParentApplicationLinkPrinter

    java.lang.Object
      com.arsdigita.bookmarks.ui.BookmarkBasePage.ParentApplicationLinkPrinter

All Implemented Interfaces:
  EventListener, com.arsdigita.bebop.event.PrintListener

Enclosing class:
  BookmarkBasePage

protected class BookmarkBasePage.ParentApplicationLinkPrinter
extends Object
implements com.arsdigita.bebop.event.PrintListener

Field Summary

Fields inherited from interface com.arsdigita.bebop.event.PrintListener
`versionId`

Constructor Summary
`BookmarkBasePage.ParentApplicationLinkPrinter()`

Method Summary
`void` `prepare(com.arsdigita.bebop.event.PrintEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BookmarkBasePage.ParentApplicationLinkPrinter

    public BookmarkBasePage.ParentApplicationLinkPrinter()

Method Detail

### prepare

    public void prepare(com.arsdigita.bebop.event.PrintEvent e)

  Specified by:
    `prepare` in interface `com.arsdigita.bebop.event.PrintListener`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1057 UTC